Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000482Zandronum[All Projects] Bugpublic2011-05-31 03:302012-03-28 15:31
Reporterunknownna 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.0 
Target VersionFixed in Version 
Summary0000482: Players are forced to use the fist after intermission map in KDiZD
DescriptionIt seems that you enter the next map with the fist in KDiZD.
Steps To Reproduce1. Start a coop server with kdizd_11.pk3 loaded.
2. Connect a client to the server.
3. Join the game.
4. "nextmap" in the server console.
5. Exit the intermission screen.
Attached Files? file icon kdizd_inter_weap_test_01.wad [^] (4,738 bytes) 2011-07-09 01:27
? file icon kdizd_inter_weap_test_02.wad [^] (4,818 bytes) 2011-07-10 23:16

- Relationships
child of 0000444closedTorr Samaho Weapon order desync after a "changemap" map change if "switchonpickup" is set to 0 or 2 

-  Notes
User avatar (0001776)
unknownna (updater)
2011-05-31 06:49
edited on: 2011-05-31 06:50

Introduced in 3254M.

BTW: This only happens online.

User avatar (0001823)
Torr Samaho (administrator)
2011-07-05 11:06

Seems to be a problem with the intermission scripts KDiZD is using (the scripts change the weapon to fist at the beginning of the intermission, but only change it back to the original weapon offline). Unfortunately the KDiZD scripts are too long to debug this in a feasible manner. Can somebody try to condense this to a minimal example wad?
User avatar (0001828)
unknownna (updater)
2011-07-09 01:23

> Can somebody try to condense this to a minimal example wad?

Done.

Steps to reproduce:

1. Start a standard coop server with the example WAD loaded.
2. Connect a client to the server.
3. Join the game.
4. Push the switch.
User avatar (0001834)
Torr Samaho (administrator)
2011-07-09 16:04

Yet another timing issue of the new weapon selection code. I added a workaround that hopefully fixes the problem.
User avatar (0001838)
unknownna (updater)
2011-07-09 16:33

It partially fixed the issue. You no longer spawn with the fist in the next map, but you are now forced to use the pistol, even if you have another weapon selected before the intermission map.

Steps to reproduce:

1. Start a standard coop server with the example WAD loaded.
2. Connect a client to the server.
3. Join the game (MAP01).
4. Push the switch (MAP01).
5. "give shotgun" in the console (MAP02).
6. Push the switch (MAP02).
7. Push the switch (MAP01).
User avatar (0001848)
Torr Samaho (administrator)
2011-07-10 12:41

Ok, I see. Please test if this fixes the issue.
User avatar (0001851)
unknownna (updater)
2011-07-10 13:22

It fixed the issue, but I noticed that if there are 2 or more players (tested with 3 clients), only the final player who exits the intermission screen is allowed to keep his weapon. This also happens in 98d.
User avatar (0001855)
Torr Samaho (administrator)
2011-07-10 20:20

> This also happens in 98d.

Then this is unrelated to the weapon handling changes of 98e.

> It fixed the issue, but I noticed that if there are 2 or more players (tested with 3 clients), only the final player who exits the intermission screen is allowed to keep his weapon.

So this happens with your example wad or KDiZD or in both?
User avatar (0001860)
unknownna (updater)
2011-07-10 20:59

> So this happens with your example wad or KDiZD or in both?

I only tested KDiZD.
User avatar (0001868)
Torr Samaho (administrator)
2011-07-10 23:02

I noticed that you can't really test this with your example wad since it only has one player start and players inevitably telefrag each other after a map change. Can you extend you example wad and test it?
User avatar (0002963)
unknownna (updater)
2012-03-28 15:31

98d and 98e are consistent now it seems. It seems that the KDiZD scripts aren't multiplayer-friendly to begin with. When people play KDiZD they usually avoid having the intermission maps in the custom maplist anyway.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2011-05-31 03:30 unknownna New Issue
2011-05-31 06:49 unknownna Note Added: 0001776
2011-05-31 06:50 unknownna Note Edited: 0001776 View Revisions
2011-05-31 06:50 unknownna Relationship added child of 0000444
2011-07-05 11:06 Torr Samaho Note Added: 0001823
2011-07-05 11:06 Torr Samaho Status new => feedback
2011-07-09 01:23 unknownna Note Added: 0001828
2011-07-09 01:23 unknownna Status feedback => new
2011-07-09 01:27 unknownna File Added: kdizd_inter_weap_test_01.wad
2011-07-09 01:27 unknownna Assigned To => Torr Samaho
2011-07-09 01:27 unknownna Status new => assigned
2011-07-09 16:04 Torr Samaho Note Added: 0001834
2011-07-09 16:04 Torr Samaho Status assigned => feedback
2011-07-09 16:33 unknownna Note Added: 0001838
2011-07-09 16:33 unknownna Status feedback => assigned
2011-07-10 12:41 Torr Samaho Note Added: 0001848
2011-07-10 12:42 Torr Samaho Status assigned => feedback
2011-07-10 13:22 unknownna Note Added: 0001851
2011-07-10 13:22 unknownna Status feedback => assigned
2011-07-10 20:20 Torr Samaho Note Added: 0001855
2011-07-10 20:59 unknownna Note Added: 0001860
2011-07-10 23:02 Torr Samaho Note Added: 0001868
2011-07-10 23:03 Torr Samaho Status assigned => feedback
2011-07-10 23:16 unknownna File Added: kdizd_inter_weap_test_02.wad
2012-03-28 15:31 unknownna Note Added: 0002963
2012-03-28 15:31 unknownna Status feedback => assigned
2012-06-09 13:22 Torr Samaho Category General => Bug






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker